explain_strcoll_or_die(3)

NAME
explain_strcoll_or_die - compare strings using current locale and report errors
    "compare two strings using the current locale and report errors"

SYNOPSIS
#include <libexplain/strcoll.h>

int explain_strcoll_or_die(const char *s1, const char *s2);
int explain_strcoll_on_error(const char *s1, const char *s2);

DESCRIPTION
The explain_strcoll_or_die function is used to call the strcoll(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_strcoll(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_strcoll_on_error function is used to call the strcoll(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_strcoll(3) function, but still returns to the caller.

s1  The s1, exactly as to be passed to the strcoll(3) system call.

s2  The s2, exactly as to be passed to the strcoll(3) system call.

RETURN VALUE
The explain_strcoll_or_die function only returns on success, see strcoll(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_strcoll_on_error function always returns the value return by the wrapped strcoll(3) system call.

EXAMPLE
The explain_strcoll_or_die function is intended to be used in a fashion similar to the following example:
    int result = explain_strcoll_or_die(s1, s2);

SEE ALSO

strcoll(3)
    compare two strings using the current locale

explain_strcoll(3)
    explain strcoll(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2013 Peter Miller